<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect2 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../../general.ent">
  %general-entities;

  <!ENTITY hatchling-download-http "https://files.pythonhosted.org/packages/source/h/hatchling/hatchling-&hatchling-version;.tar.gz">
  <!ENTITY hatchling-download-ftp  " ">
  <!ENTITY hatchling-md5sum        "&hatchling-md5sum;">
  <!ENTITY hatchling-size          "60 KB">
  <!ENTITY hatchling-buildsize     "2.3 MB">
  <!ENTITY hatchling-time          "less than 0.1 SBU">
]>

  <sect2 id="hatchling" xreflabel="hatchling-&hatchling-version;">

    <title>Hatchling-&hatchling-version;</title>

    <indexterm zone="hatchling">
      <primary sortas="a-hatchling">hatchling</primary>
    </indexterm>

    <sect3 role="package">
      <title>Introduction to Hatchling Module</title>

      <para>
        <application>Hatchling</application> is an extensible, standards
        compliant build backend for python modules.
      </para>

      &lfs123_checked;

      <bridgehead renderas="sect4">Package Information</bridgehead>
      <itemizedlist spacing="compact">
        <listitem>
          <para>
            Download (HTTP): <ulink url="&hatchling-download-http;"/>
          </para>
        </listitem>
        <listitem>
          <para>
            Download (FTP): <ulink url="&hatchling-download-ftp;"/>
          </para>
        </listitem>
        <listitem>
          <para>
            Download MD5 sum: &hatchling-md5sum;
          </para>
        </listitem>
        <listitem>
          <para>
            Download size: &hatchling-size;
          </para>
        </listitem>
        <listitem>
          <para>
            Estimated disk space required: &hatchling-buildsize;
          </para>
        </listitem>
        <listitem>
          <para>
            Estimated build time: &hatchling-time;
          </para>
        </listitem>
      </itemizedlist>

      <bridgehead renderas="sect4">Hatchling Dependencies</bridgehead>

      <bridgehead renderas="sect5">Required</bridgehead>
      <para role="required">
        <xref linkend="editables"/>,
        <xref linkend="packaging"/>,
        <xref linkend="pathspec"/>,
        <xref linkend="pluggy"/>, and
        <xref linkend="trove-classifiers"/>
      </para>

    </sect3>

    <sect3 role="installation">
      <title>Installation of Hatchling</title>

    <para>Build the module: </para>

&build-wheel;

    <para>
      This package does not come with a working test suite.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>&install-wheel; hatchling</userinput></screen>

    </sect3>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../../xincludes/pip3-cmd-explain.xml"/>

    <sect3 role="content">
      <title>Contents</title>

      <segmentedlist>
        <segtitle>Installed Programs</segtitle>
        <segtitle>Installed Libraries</segtitle>
        <segtitle>Installed Directories</segtitle>

        <seglistitem>
          <seg>hatchling</seg>
          <seg>None</seg>
          <seg>
            /usr/lib/python&python3-majorver;/site-packages/hatchling and
            /usr/lib/python&python3-majorver;/site-packages/hatchling-&hatchling-version;.dist-info
          </seg>
        </seglistitem>
      </segmentedlist>

      <variablelist>
        <bridgehead renderas="sect3">Short Descriptions</bridgehead>
        <?dbfo list-presentation="list"?>
        <?dbhtml list-presentation="table"?>

      <!-- If the program or library name conflicts with (is the same as) the
      package name, add -prog or -lib to the varlistentry entity id
      and the 2nd entry of the indexterm zone entity -->

        <varlistentry id="hatchling-prog">
          <term><command>hatchling</command></term>
          <listitem>
            <para>
              is a python module builder
            </para>
            <indexterm zone="hatchling hatchling-prog">
              <primary sortas="b-hatchling">hatchling</primary>
            </indexterm>
          </listitem>
        </varlistentry>

      </variablelist>

    </sect3>

  </sect2>
